Bug 836960 - (CVE-2012-3825) CVE-2012-3825 wireshark: Integer overflows in BACapp and Bluetooth HCI dissectors, leading to DoS (wnpa-sec-2012-08)
CVE-2012-3825 wireshark: Integer overflows in BACapp and Bluetooth HCI dissec...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120416,reported=2...
: Reopened, Security
Depends On: 824426 994924 1004712
Blocks: 824434 974906
  Show dependency treegraph
 
Reported: 2012-07-02 06:27 EDT by Jan Lieskovsky
Modified: 2016-03-04 06:54 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-08 16:00:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-07-02 06:27:49 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2012-3825 to the following vulnerability:

Multiple integer overflows in Wireshark 1.4.x before 1.4.13 and 1.6.x before 1.6.8 allow remote attackers to cause a denial of service (infinite loop) via vectors related to the (1) BACapp and (2) Bluetooth HCI dissectors, a different vulnerability than CVE-2012-2392.

References:
[1] http://www.wireshark.org/security/wnpa-sec-2012-08.html
[2] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7121
[3] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7122
Comment 1 Huzaifa S. Sidhpurwala 2012-07-05 00:51:34 EDT
There are essentially two issues in this CVE, one dealing with BACapp and the other with Bluetooth HCI. The Bluetooth HCI dissector issue affects Red Hat Enterprise Linux 6.
Comment 4 errata-xmlrpc 2013-11-21 02:29:18 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1569 https://rhn.redhat.com/errata/RHSA-2013-1569.html
Comment 5 Huzaifa S. Sidhpurwala 2013-11-21 22:11:17 EST
Statement:

(none)
Comment 6 Martin Žember 2015-06-08 15:47:38 EDT
RHEL-5 is affected by the HCI Bluetooth variant of the bug.
Comment 7 Tomas Hoger 2015-06-08 16:00:47 EDT
Red Hat Enterprise Linux 5 is currently in Phase 3 of its life cycle, during which only Critical impact security issues are expected to get fixed.  This Low impact issue will not be considered for exception.

Note You need to log in before you can comment on or make changes to this bug.